Bug 429715 - Review Request: tcptrack - Displays information about tcp connections on a network interface
Review Request: tcptrack - Displays information about tcp connections on a ne...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-22 12:15 EST by Kairo Araujo
Modified: 2008-04-17 18:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 18:53:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
tcptrack fails to build in rawhide (26.31 KB, application/octet-stream)
2008-01-27 18:27 EST, manuel wolfshant
no flags Details

  None (edit)
Description Kairo Araujo 2008-01-22 12:15:01 EST
Spec URL: http://kairo.freeshell.org/devel/fedora/tcptrack/tcptrack.spec
SRPM URL: http://kairo.freeshell.org/devel/fedora/tcptrack/tcptrack-1.2.0-1.fc8.src.rpm
Description: 
tcptrack is a sniffer which displays information about TCP connections
it sees on a network interface. It passively watches for connections on
the network interface, keeps track of their state and displays a list of
connections in a manner similar to the unix 'top' command. It displays
source and destination addresses and ports, connection state, idle time,
and bandwidth usage

P.S.: I'm looking for sponsor. Thanks.
Comment 1 Allisson Azevedo 2008-01-22 12:39:23 EST
Will review.
Comment 2 Allisson Azevedo 2008-01-22 12:53:58 EST
Review:

- Rpmlint against tcptrack-1.2.0-1.fc9.src.rpm:

tcptrack.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 13)
tcptrack.src: W: strange-permission tcptrack-1.2.0.tar.gz 0770
tcptrack.src: W: strange-permission tcptrack.spec 0770

- Source0 Should be:       
http://www.rhythm.cx/~steve/devel/%{name}/release/%{version}/source/%{name}-%{version}.tar.gz
Comment 5 Allisson Azevedo 2008-01-22 15:01:47 EST
Well, everything is okay, the last step:

- Remove requires section

For this package require section is unecessary.
Comment 7 Allisson Azevedo 2008-01-22 16:01:10 EST
Okay, approved.

------------------------------------------------------------
   This package (tcptrack) is APPROVED by me
------------------------------------------------------------
Comment 8 Jason Tibbitts 2008-01-24 15:51:34 EST
Allisson, are you able to sponsor Kairo?  I don't see you on the list of sponsors.
Comment 9 Allisson Azevedo 2008-01-24 16:25:59 EST
Hi Jason,

Sure, i can sponsor Kairo.
Comment 10 Jason Tibbitts 2008-01-24 18:46:01 EST
Really?  What's your FAS ID?  I don't anyone that looks to be you on the list of
sponsors, and I don't recall a FESCo vote on granting you sponsor status.  It's
always possible that I'm missing something, though.
Comment 11 Allisson Azevedo 2008-01-24 22:31:56 EST
You're right, i don't submit my name for sponsor yet, but, i think it's time now :)
Comment 12 manuel wolfshant 2008-01-27 18:23:14 EST
Upstream (http://www.rhythm.cx/~steve/devel/tcptrack/release/1.2.0/docs/INSTALL)
lists only libpcap>=0.7.2 as a BR. Any particular reason to raise the bar to
libpcap>=0.9.7 and to add a specific version (> 5.6) ? I have tested on Centos
5/x86_64 and it builds and works OK.

There is no need to explicitly list libpcap under Requires. rpmbuild will pick
it automatically.

The package does not properly build in Rawhide/x86_64. I have attached the
failed build log.
Comment 13 manuel wolfshant 2008-01-27 18:27:53 EST
Created attachment 293091 [details]
tcptrack fails to build in rawhide

Failed build log of tcptrack-1.2.0-3.fc8.src.rpm
Comment 14 Allisson Azevedo 2008-01-27 22:21:39 EST
Hi Manuel,

I make a scratch build, the result is here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=377173

This package build for x86_64.


Comment 15 Kairo Araujo 2008-01-28 09:42:31 EST
Reply Comment [12]

- Removed minimal version
  BuildRequires:  ncurses-devel
  BuildRequires:  libpcap-devel

Spec URL: http://kairo.freeshell.org/devel/fedora/tcptrack/tcptrack.spec
SRPM URL: http://kairo.freeshell.org/devel/fedora/tcptrack/tcptrack-1.2.0-
4.fc8.src.rpm

Comment 16 manuel wolfshant 2008-01-28 11:39:34 EST
Kairo, I'll sponsor you once I see a couple of reviews performed by you.

Allisson: indeed scratch builds work, there must be a problem on my system.
Comment 17 manuel wolfshant 2008-01-28 12:21:28 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: all archs supported by koji
 [x] Rpmlint output:
source RPM:none
binary RPM:none
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type specified in the package tag: GPLv2+
     Actual license: LGPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: f02be0d4fa1bcfafcb0bc9d4660f8596e4e94554 
/tmp/tcptrack-1.2.0.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji/devel/all archs + koji/F7/x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: koji/devel/all archs + koji/F7/x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
=== Issues ===
1 MUSTFIX: Based on the content of the tar.gz and on the upstream site (which
references the COPYING file which in turn is LGPLv2+), the license tag is not
correct

Package is APPROVED but pending sponsorship. Unless someone else decides to
sponsor Kairo, I will do it, but I would like first to see either a review or
two or yet another package (not counting #430377) submitted by Kairo.
Comment 18 Allisson Azevedo 2008-01-28 12:49:25 EST
Manuel,

You can sponsor Kairo, thanks for your review :)
Comment 20 manuel wolfshant 2008-03-26 03:26:22 EDT
Removing "sponsorship needed" flag, I will sponsor Kairo
Comment 21 Kairo Araujo 2008-03-28 15:28:59 EDT
update to 1.3.0 

http://kairo.freeshell.org/devel/fedora/tcptrack/tcptrack-1.3.0-1.fc8.src.rpm
http://kairo.freeshell.org/devel/fedora/tcptrack/tcptrack.spec

[OK] rpmlint spec 
[OK] rpmlint rpm
[OK] rpmlint srpm
[OK] rpmlint rpm debuinfo
Comment 22 manuel wolfshant 2008-03-28 18:19:42 EDT
well done, Kairo, please proceed with
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure#head-1ef2a3bc00349ad095c689ab7caf283db0e2d723

Comment 23 manuel wolfshant 2008-03-28 18:23:25 EDT
Moving the bug to "assigned state" & reassigning to myself since Allison did not
post the results for a full review.

Allison, when time comes, please post your potential sponsor to the comments you
have filed in this bug.
Comment 24 manuel wolfshant 2008-03-28 18:32:50 EDT
s/post your/point your/
Comment 25 Kairo Araujo 2008-03-28 21:48:33 EDT
New Package CVS Request
=======================
Package Name: tcptrack
Short Description: Displays information about tcp connections on a network
Owners: kairo
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 26 Kevin Fenzi 2008-03-29 14:45:56 EDT
cvs done.
Comment 27 manuel wolfshant 2008-04-17 18:53:17 EDT
closing the review, the package is already in rawhide's repos

Note You need to log in before you can comment on or make changes to this bug.